### Hierarchy

- TokenBuilder
  - AtRuleToken

## Index

### Constructors

- constructor

### Properties

- ch
- data
- file
- line
- ruleName
- type
- type

### Methods

- build

## Constructors

### constructor

- new AtRuleToken(line: number, ch: number, file: string): AtRuleToken

- Inherited from TokenBuilder.constructor

  - Defined in Token.ts:17

  #### Parameters

  - ##### line: number

  - ##### ch: number

  - ##### file: string

  #### Returns AtRuleToken

## Properties

### ch

ch: number

Inherited from TokenBuilder.ch

- Defined in Token.ts:21

### data

data: string[] = []

Inherited from TokenBuilder.data

- Defined in Token.ts:16

### file

file: string

Inherited from TokenBuilder.file

- Defined in Token.ts:22

### line

line: number

Inherited from TokenBuilder.line

- Defined in Token.ts:20

### ruleName

ruleName: string[] = []

Inherited from TokenBuilder.ruleName

- Defined in Token.ts:17

### type

type: string = AtRuleToken.type

Overrides TokenBuilder.type

- Defined in Token.ts:44

### Static type

type: string = "AT_RULE"

- Defined in Token.ts:43

## Methods

### build

- build(): Token

- Inherited from TokenBuilder.build

  - Defined in Token.ts:25

  #### Returns Token

Generated using TypeDoc